import http from '../http'

export default {
  pageSupplierType: data =>
    http.post('/v1/supplier_type/page', data).then(res => res),
  getById: id => http.get('/v1/supplier_type/' + id).then(res => res),
  edit: data =>
    http.put('/v1/supplier_type/' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/supplier_type/', data).then(res => res),
  getList: data => http.post('/v1/supplier_type/list', data).then(res => res)
}
